LLVM3.3 CLANG++编译C++代码为BC文件,无法捕获异常

add.cpp:

int add_t(int a) throw(int ) {
return a + a;
}

extern "C" {
int add(int a) throw(int) {
int ret = -100;
try {
ret = add_t(a);
throw 1;
} catch (int e) {
ret = -200;
}
return ret;
}
}

在main.cpp中加载bc文件,Module* mod = ParseIRFile("add.bc", error, context);然后调用add函数,报错
terminate called after throwing an instance of 'int'
Aborted
去掉add.cpp中的throw 1;可以正常调用。
这个异常在bc中无法捕获吗?

1个回答

Csdn user default icon
上传中...
上传图片
插入图片
抄袭、复制答案,以达到刷声望分或其他目的的行为,在CSDN问答是严格禁止的,一经发现立刻封号。是时候展现真正的技术了!
立即提问